package com.jeeplus.modules.supply.projectInformation.mapper;

import com.jeeplus.core.persistence.BaseMapper;
import com.jeeplus.core.persistence.annotation.MyBatisMapper;
import com.jeeplus.modules.supply.materialLibrary.entity.MaterialLibrary;
import com.jeeplus.modules.supply.projectInformation.entity.ProjectInformation;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 项目信息（项目信息表+审定单表）mapper
 * @author: 黄俊杰
 * @create: 2022-02-28 16:00
 */
@MyBatisMapper
public interface ProjectInformationMapper extends BaseMapper<ProjectInformation> {
    /**
     * 批量新增审定单信息
     * @param list
     * @return
     */
    Integer insertSubmissionFormList(@Param("list") List<ProjectInformation> list);

    /**
     * 批量新增项目信息
     * @param list
     * @return
     */
    Integer insertProjectInformationList(@Param("list") List<ProjectInformation> list);

    /**
     * 按审定单idlist来查询
     * @param submissionFormIdList
     * @return
     */
    List<String> getSubmissionFormIdListBysubmissionFormIdList(@Param("submissionFormIdList") List<String> submissionFormIdList);

    /**
     * 批量删除
     * @param codeList
     * @return
     */
    Integer deleteAll(@Param("codeList") List<String> codeList);
}
